We pulled out the functionality we added to adodb to give us working pgsql/mssql support, breaking those platforms as people did not allow patching adodb, so I don't see what's different with this.
 
I'm still running an older version of 1.2 due to this.
 
Paul
 


On Sat, Aug 31, 2013 at 12:59 AM, Damien Regad <dregad@mantisbt.org> wrote:
On 2013-08-31 01:08, Paul Richards wrote:
> We made it our policy before *not* to modify upstream libraries - hence

I know. However, I think this issue is critical enough to justify
patching an *already patched* ADOdb library in 1.2.x branch

> needing to move away from adodb. So unless this commit is in the
> upstream release of adodb it should be reverted

It *is* patched upstream as well [1]

[1] https://github.com/ADOdb/ADOdb/commit/f94bf9f68

 >  (and if need be we implement the workaround within mantis itself)

I thought about that, but it would have been messy and quite frankly
given the state of 1.2 it made more sense to add one more patch to ADOdb

D



------------------------------------------------------------------------------
Learn the latest--Visual Studio 2012, SharePoint 2013, SQL 2012, more!
Discover the easy way to master current and previous Microsoft technologies
and advance your career. Get an incredible 1,500+ hours of step-by-step
tutorial videos with LearnDevNow. Subscribe today and save!
http://pubads.g.doubleclick.net/gampad/clk?id=58040911&iu=/4140/ostg.clktrk
_______________________________________________
mantisbt-dev mailing list
mantisbt-dev@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/mantisbt-dev